package cn.com.countrygarden.bi.main.dao.ck.green;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerFieldConfigVo;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerQueyr;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerTableVo;
import cn.com.countrygarden.bi.main.model.ck.CkFiledValueVo;
import cn.com.countrygarden.bi.main.model.ck.green.CkGreenExpand;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 木木子
 * @Description: 保洁拓展数据-数据层
 * @email 944528607@qq.com
 * @date 2020/4/20  9:15
 */
public interface CkGreenExpandMapper extends Mapper<CkGreenExpand> {

    List<CkCleanerTableVo> selectListData(@Param("query") CkCleanerQueyr cleanerQueyr);

    List<CkCleanerFieldConfigVo> cleanerFieldConfigVoList();

    int tatisticsProject(@Param("year") int year, @Param("month") int month);

    List<CkCleanerTableVo> statisProjDetad(@Param("year") int year, @Param("month") int month);

    int ckCleanerCont(@Param("year") int year, @Param("month") int month);


    List<CkFiledValueVo> selectRegionByBaseIds(@Param("basicIds") List<String> basicIds);

    List<CkCleanerTableVo> selectListDataNoChild(@Param("query") CkCleanerQueyr cleanerQueyr);

     int insertGreenExpand(CkGreenExpand ckGreenExpand);
}